Hoje tentei instalar o SQL Server 2008 Express em um servidor Windows 2008. Logo no início da instalação ele já para e dá o seguinte erro:

SQL Server 2008 Setup requires Microsoft .NET Framework 2.0 SP2 to be installed.

Lá fui eu a procura do tal .NET 2.0 SP2. Depois de algum tempo, percebi que não existe download do tal .NET 2.0 SP2. Achei estranho e comecei a pesquisar até encontrar esse post que explica a pegadinha.

Na verdade você deve baixar o .NET Framework 3.5 SP1, que já contém o .NET Framework 2.0 SP2. :)